<script lang="ts" setup>
import router from "@/router";

const form = reactive({
  name: "",
  region: "",
  date1: "",
  date2: "",
  delivery: false,
  type: [],
  resource: "",
  desc: ""
});
const options = [
  {
    value: "1",
    label: "综合平均指标"
  },
  {
    value: "2",
    label: "毛发抽检阳性率"
  },
  {
    value: "3",
    label: "戒断三年未复吸人员查处率"
  },
  {
    value: "4",
    label: "在册吸毒人员滋事行为"
  },
  {
    value: "5",
    label: "易制毒化学品管控问题"
  },
  {
    value: "6",
    label: "辖区内出现聚集滥用窝点数"
  }
];
const onSubmit = () => {
  router.go(-1);
  console.log("submit!");
};
const Cancel = () => {
  router.go(-1);
  console.log("submit!");
};
</script>

<template>
  <div class="td_etid">
    <el-form :model="form" label-position="right" label-width="180px" style="max-width: 460px">
      <div>
        都江堰市指标
      </div>
      <el-form-item label="取值时间范围" required>
        <el-select v-model="form.region" placeholder="请选择">
          <el-option label="当月" value="shanghai" />
          <el-option label="本季" value="beijing" />
          <el-option label="本年" value="beijing" />
        </el-select>
      </el-form-item>
      <el-form-item label="毒品滥用" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="要素管控" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="风险管控" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="禁毒工作" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <div>
        街镇排名
      </div>
      <el-form-item label="取值时间范围" required>
        <el-select v-model="form.region" placeholder="请选择">
          <el-option label="当月" value="shanghai" />
          <el-option label="本季" value="beijing" />
          <el-option label="本年" value="beijing" />
        </el-select>
      </el-form-item>
      <el-form-item label="毒品滥用" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="要素管控" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="风险管控" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="禁毒工作" required>
        <el-select
          v-model="form.region"
          collapse-tags
          collapse-tags-tooltip
          multiple
          placeholder="请选择"
          style="width: 240px"
        >
          <el-option
            v-for="item in options"
            :key="item.value"
            :label="item.label"
            :value="item.value"
          />
        </el-select>
      </el-form-item>

    </el-form>
    <div style="text-align: center">
      <el-button @click="Cancel">取消</el-button>
      <el-button type="primary" @click="onSubmit">保存</el-button>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.td_etid {
  padding: 10px;
}

.el-form-item {
  width: 80%;
}
</style>
